nnoremap <buffer> <silent>q  :bwipeout!<CR>

nnoremap <buffer> <Leader>gb :call git#git_branch_checkout()<CR>
nnoremap <buffer> <Leader>gB :call git#git_branch_delete()<CR>
nnoremap <buffer> <Leader>gc :call git#git_cherry_pick()<CR>
xnoremap <buffer> <Leader>gC :<C-U>call git#git_cherry_pick_range()<CR>
nnoremap <buffer> <Leader>gd :call git#git_diff_commit()<CR>
nnoremap <buffer> <Leader>gl :call git#git_branch_log()<CR>
nnoremap <buffer> <Leader>gL :call git#git_branch_log_pretty()<CR>
nnoremap <buffer> <Leader>gr :call git#git_rebase_branch()<CR>
nnoremap <buffer> <Leader>gR :call git#git_reflog_restore()<CR>

nnoremap <buffer> <expr> <Leader>gn git#git_branch_rename()
nnoremap <buffer> <expr> <Leader>gp git#git_push_commit()
